---
comments: true
icon: material/calculator-variant-outline
---

# 第 1 章 &nbsp; 初识算法

<div class="center-table" markdown>

![初识算法](../assets/covers/chapter_introduction.jpg){ class="cover-image" }

</div>

!!! abstract

    一位少女翩翩起舞，与数据交织在一起，裙摆上飘扬着算法的旋律。
    
    她邀请你共舞，请紧跟她的步伐，踏入充满逻辑与美感的算法世界。

计算机的出现给世界带来了巨大变革，它凭借高速的计算能力和出色的可编程性，成为了执行算法与处理数据的理想媒介。无论是电子游戏的逼真画面、自动驾驶的智能决策，还是 AlphaGo 的精彩棋局、ChatGPT 的自然交互，这些应用都是算法在计算机上的精妙演绎。

事实上，在计算机问世之前，算法和数据结构就已经存在于世界的各个角落。早期的算法相对简单，例如古代的计数方法和工具制作步骤等。随着文明的进步，算法逐渐变得更加精细和复杂。从巧夺天工的匠人技艺、到解放生产力的工业产品、再到宇宙运行的科学规律，几乎每一件平凡或令人惊叹的事物背后，都隐藏着精妙的算法思想。

同样，数据结构无处不在：大到社会网络，小到地铁线路，许多系统都可以建模为“图”；大到一个国家，小到一个家庭，社会的主要组织形式呈现出“树”的特征；冬天的衣服就像“栈”，最先穿上的最后才能脱下；羽毛球筒则如同“队列”，一端放入、另一端取出；字典就像一个“哈希表”，能够快速查找目标词条。

那么，什么是算法，它在我们日常生活中扮演着怎样的角色？接下来，我们将就这些问题展开探讨。

## 本章内容

- [1.1 &nbsp; 算法无处不在](https://www.hello-algo.com/chapter_introduction/algorithms_are_everywhere/)
- [1.2 &nbsp; 算法是什么](https://www.hello-algo.com/chapter_introduction/what_is_dsa/)
- [1.3 &nbsp; 小结](https://www.hello-algo.com/chapter_introduction/summary/)
