---
comments: true
icon: material/book-open-outline
---

# 第 0 章 &nbsp; 前言

<div class="center-table" markdown>

![前言](../assets/covers/chapter_preface.jpg){ class="cover-image" }

</div>

!!! abstract

    算法犹如美妙的交响乐，每一行代码都像韵律般流淌。
    
    愿这本书在你的脑海中轻轻响起，留下独特而深刻的旋律。

两年前，我在力扣上分享了“剑指 Offer”系列题解，受到了许多读者的鼓励和支持。在与读者交流期间，我最常被问的一个问题是“如何入门算法”。逐渐地，我对这个问题产生了浓厚的兴趣。

两眼一抹黑地刷题似乎是最受欢迎的方法，简单、直接且有效。然而刷题就如同玩“扫雷”游戏，自学能力强的人能够顺利将地雷逐个排掉，而基础不足的人很可能被炸得满头是包，并在挫折中步步退缩。通读教材也是一种常见做法，但对于面向求职的人来说，毕业论文、投递简历、准备笔试和面试已经消耗了大部分精力，啃厚重的书往往变成了一项艰巨的挑战。

如果你也面临类似的困扰，那么很幸运这本书“找”到了你。本书是我对这个问题给出的答案，即使不是最优解，也至少是一次积极的尝试。本书虽然不足以让你直接拿到 Offer，但会引导你探索数据结构与算法的“知识地图”，带你了解不同“地雷”的形状、大小和分布位置，让你掌握各种“排雷方法”。有了这些本领，相信你可以更加自如地刷题和阅读文献，逐步构建起完整的知识体系。

我深深赞同费曼教授所言：“Knowledge isn't free. You have to pay attention.”从这个意义上看，这本书并非完全“免费”。为了不辜负你为本书所付出的宝贵“注意力”，我会竭尽所能，投入最大的“注意力”来完成本书的创作。

## 本章内容

- [0.1 &nbsp; 关于本书](https://www.hello-algo.com/chapter_preface/about_the_book/)
- [0.2 &nbsp; 如何使用本书](https://www.hello-algo.com/chapter_preface/suggestions/)
- [0.3 &nbsp; 小结](https://www.hello-algo.com/chapter_preface/summary/)
